using VentaUniformes.Domain.Entities.User;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VentaUniformes.Domain.Entities.Customer;

namespace VentaUniformes.Persistencia.Configurations
{
    public class ProductConfiguration
    {
        public ProductConfiguration( EntityTypeBuilder<ProductEntity> entityBuilder) {
            entityBuilder.ToTable("Product");
            entityBuilder.HasKey(x => x.Id);
            entityBuilder.Property(x => x.Name).IsRequired();
            entityBuilder.Property(x => x.Price).IsRequired();



        }
    }
}
